package com.example.quiz.viewModel;

import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModel;

import com.example.quiz.data.model.Course;
import com.example.quiz.data.model.Reunion;
import com.example.quiz.data.model.TypeOfBet;

import javax.inject.Inject;

import dagger.hilt.android.lifecycle.HiltViewModel;


public class SharedViewModel extends ViewModel {

    public MutableLiveData<Reunion> selectedReunion = new MutableLiveData<Reunion>();
    public MutableLiveData<Course> selectedCourse = new MutableLiveData<Course>();
    public MutableLiveData<TypeOfBet> typeOfBet  = new MutableLiveData<TypeOfBet>();


    public void setSelectedReunion(Reunion reunion){
        selectedReunion.setValue(reunion);
    }

    public void setSelectedCourse(Course course){
        selectedCourse.setValue(course);
    }
    public void setTypeOfBet(TypeOfBet type){
        typeOfBet.setValue(type);
    }
}
